Entity research projection

View as Markdown

Returns the consolidated research projection for an entity. Use includePrivate to include hidden research snippets and off-sitemap entities.

Authentication

AuthorizationBearer

User bearer token: Supabase or Clerk session JWT, Clerk OAuth access token, or Clerk personal API key

OR
X-API-Keystring

Admin API key for system-to-system write operations

OR
X-Client-Secretstring

Client secret for read-only service-to-service access (no writes)

Path parameters

entityIdstringRequiredformat: "uuid"
Canonical entity UUID.

Query parameters

includePrivatebooleanOptional

Include hidden research snippets (visible=false) and off-sitemap entities.

Response

OK

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
406
Not Acceptable Error
429
Too Many Requests Error
500
Internal Server Error
503
Service Unavailable Error